function imRes = combinePlots(hData, hClass)
% Mixes color channels in the HSV space to obtain a figure where class
% information as well as certainty information is shown.

%
% Copyright (c) 2015 Alexander Schulz
%
% This file is part of the Classifier Visualization Toolbox.
%
% The Classifier Visualization Toolbox is distributed under the
% GNU General Public License (version 3 or later). For details, see
% <http://www.gnu.org/licenses/>.
%


drawnow;
figure(hData); 

imBord     = getframe(hData);
imBord     = imBord.cdata;
imBordHsv  = rgb2hsv(imBord);

% hide fighre hData in order to fix the bug that it covers the fig hClass
set(hData,'Visible', 'off'); 
figure(hClass);

imClass    = getframe(hClass);
imClass    = imClass.cdata;
imClassHsv = rgb2hsv(imClass);

imResHsv = imClassHsv;
%imResHsv(:,:,1) = imBordHsv(:,:,1)./2 + imClassHsv(:,:,1)./2;
%imResHsv(:,:,2) = imBordHsv(:,:,2)./2 + imClassHsv(:,:,2)./2;
%imResHsv(:,:,2) = 1 - imBordHsv(:,:,3);
imResHsv(:,:,2) = 1 - imBordHsv(:,:,3) + imBordHsv(:,:,2); % good mix
imResHsv(:,:,3) = imBordHsv(:,:,3);

i = find(imResHsv > 1);
imResHsv(i) = 1;
imRes       = hsv2rgb(imResHsv);

set(hData,'Visible', 'on');

