function [labels, certainties] = predictCertaintyMethodName(model, highDimData)
% This is an interface for the prediction method of the classifier. 
% The inputs:
%   model                - a model of the trained classifier
%   highDimData          - the input data to be classified (rows of the
%                          matrix)
%
% The outputs:
%   labels               - the predicted labels for the points in 
%                          highDimData (a column vector)
%   certainties          - values indicating the certainty of the
%                          classification (for the predicted class); should
%                          be a column vector. High values should indicate a
%                          high certainty.

%
% Copyright (c) 2015 Alexander Schulz
%
% This file is part of the Classifier Visualization Toolbox.
%
% The Classifier Visualization Toolbox is distributed under the
% GNU General Public License (version 3 or later). For details, see
% <http://www.gnu.org/licenses/>.
%

