function [dataSpace] = sample2Dspace(samples1, samples2)
% Samples the two dimensional space in a regular grid.
%
% The samples along the two dimension should be given. i.e.
% samples1 = minX:stepSize:maxX.

%
% Copyright (c) 2015 Alexander Schulz
%
% This file is part of the Classifier Visualization Toolbox.
%
% The Classifier Visualization Toolbox is distributed under the
% GNU General Public License (version 3 or later). For details, see
% <http://www.gnu.org/licenses/>.
%


numSamples1 = length(samples1);
numSamples2 = length(samples2);
dataSpace = zeros(2,numSamples1*numSamples2);
for i=1:numSamples2
    dataSpace(:, numSamples1*(i-1) +1:numSamples1*i) = [samples1; repmat(samples2(i), 1, numSamples1)];
end
